### Constructor

# Shumate RasterRenderer new_full

#### Declaration [src]

    ShumateRasterRenderer*
    shumate_raster_renderer_new_full (
      const char* id,
      const char* name,
      const char* license,
      const char* license_uri,
      guint min_zoom,
      guint max_zoom,
      guint tile_size,
      ShumateMapProjection projection,
      ShumateDataSource* data_source
    )

#### Description [src]

Creates a new `ShumateRasterRenderer` with the given details and a data source.

#### Parameters

`id` | `const char*`
| The map source’s id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name` | `const char*`
| The map source’s name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`license` | `const char*`
| The map source’s license.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`license_uri` | `const char*`
| The map source’s license URI.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`min_zoom` | `guint`
| The map source’s minimum zoom level.
`max_zoom` | `guint`
| The map source’s maximum zoom level.
`tile_size` | `guint`
| The map source’s tile size (in pixels)
`projection` | `ShumateMapProjection`
| The map source’s projection.
`data_source` | `ShumateDataSource`
| A `ShumateDataSource` to provide tile image data.
| The data is owned by the caller of the function.

#### Return value

Returns: | `ShumateRasterRenderer`
| A newly constructed `ShumateRasterRenderer`
| The caller of the function takes ownership of the data, and is responsible for freeing it.